Subject: bug#819: 23.0.60; group and owner "Everyone" - what's that about?

From: Jason Rumney <[email-masked]>
Date: Sat, 30 Aug 2008 08:32:27 +0800

Drew Adams wrote:

> I probably misspoke a bit. The `Everyone'...`Everyone' owner and group appear
> only on `..', and only when `..' represents the top level: c:\. And for Dired in
> c:\ itself there is no `.' entry, so I can't say it contradicts what `..' showed
> one level down (`Everyone'...`Everyone').
>
> The bug, as I see it, is that `..' is different (showing
> `Everyone'...`Everyone') _only_ for a directory just under c:\ - for example,
> Dired in c:\foo\. Everywhere else, I see the same thing for `..' that I see for
> every other file or directory (my user name and `None', in my case).
>   

So what seems to be happening is that the security descriptor for the 
disk itself is different than the security descriptor for the files and 
folders it contains, and Emacs is reporting that.